[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Objects' (#rtl)

# TResourceFile.Done

Destroy the instance and remove it from memory.

## Declaration

Source position: objects.pp line 512

`destructor TResourceFile.Done; virtual;`

## Description

Done cleans up the instance of the TResourceFile Object. If Stream was specified at initialization, then Stream is disposed of too.

## Errors

None.

## See also

TResourceFile.Init |  | Instantiate a new instance.